CREATE TABLE `BDC_USER_TOKEN` (
 `BKO_USER` varchar(255) NOT NULL,
 `BDC_USER` int(11) NOT NULL,
 `TOKEN` varchar(255) NOT NULL,
 `DATA_CREAZIONE` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
 `DATA_FINE_VALIDITA` datetime NOT NULL,
 `REPERTORI` varchar(255) NOT NULL,
 `REPERTORIO_DEFAULT` varchar(100) NOT NULL,
 `DATA_LOGIN` datetime NULL,
 `TOKEN_NAVIGAZIONE` varchar(255) NULL,
 PRIMARY KEY (`TOKEN`,`BDC_USER`),
 CONSTRAINT `fk_BKO_USER` FOREIGN KEY (`BKO_USER`) REFERENCES `user_role` (`username`) ON DELETE NO ACTION ON UPDATE NO ACTION,
 CONSTRAINT `fk_BDC_USER` FOREIGN KEY (`BDC_USER`) REFERENCES `bdc_utenti` (`id`) ON DELETE NO ACTION ON UPDATE NO ACTION
);
COMMIT;